package com.doverfuelingsolutions.issp.utils.thread

import java.util.concurrent.ThreadFactory

class DFSThreadFactory(private val basicName: String) : ThreadFactory {

    companion object {
        private var count = 0
    }

    override fun newThread(r: Runnable): Thread = Thread(r, "dfs.$basicName.${count++}")
}